moeoConvertPopToObjectiveVectors(3)

NAME
moeoConvertPopToObjectiveVectors - Functor allowing to get a vector of objective vectors from a population.

SYNOPSIS

#include <moeoConvertPopToObjectiveVectors.h>

Inherits eoUF< A1, R >< eoPop< MOEOT >, std::vector< ObjectiveVector > >.

  Public Member Functions
const std::vector< ObjectiveVector > operator() (const eoPop< MOEOT > _pop)
Returns a vector of the objective vectors from the population _pop.

Detailed Description

  template<class MOEOT, class ObjectiveVector = typename MOEOT::ObjectiveVector> class moeoConvertPopToObjectiveVectors< MOEOT, ObjectiveVector >
Functor allowing to get a vector of objective vectors from a population.

Definition at line 23 of file moeoConvertPopToObjectiveVectors.h.

Member Function Documentation

  template<class MOEOT, class ObjectiveVector = typename MOEOT::ObjectiveVector> const std::vector< ObjectiveVector > moeoConvertPopToObjectiveVectors< MOEOT, ObjectiveVector >::operator() (const eoPop< MOEOT > _pop) [inline]

Returns a vector of the objective vectors from the population _pop.

Parameters:
    _pop the population

Definition at line 31 of file moeoConvertPopToObjectiveVectors.h.

Author

Generated automatically by Doxygen for ParadisEO-MOEO from the source code.